Loading...
Searching...
No Matches
pdftron::PDF::TaggingOptions Class Reference

`#include <TaggingOptions.h>`

Inheritance diagram for pdftron::PDF::TaggingOptions:

## Public Member Functions
| TaggingOptions ()
| ~TaggingOptions ()
UString | GetDescription ()
TaggingOptions & | SetDescription (const UString &value)
UInt32 | GetInsertIndex ()
TaggingOptions & | SetInsertIndex (UInt32 value)
Public Member Functions inherited from pdftron::PDF::OptionsBase
| OptionsBase ()

## Additional Inherited Members
Static Public Member Functions inherited from pdftron::PDF::OptionsBase
static SDF::Obj | GetArray (SDF::Obj dict, const char *key)
static void | PutNumber (SDF::Obj dict, const char *key, double num)
static void | PutBool (SDF::Obj dict, const char *key, bool val)
static void | PutText (SDF::Obj dict, const char *key, const UString &text)
static void | PutRect (SDF::Obj dict, const char *key, const Rect &rect)
static void | PushBackNumber (SDF::Obj dict, const char *key, double num)
static void | PushBackBool (SDF::Obj dict, const char *key, bool val)
static void | PushBackText (SDF::Obj dict, const char *key, const UString &text)
static void | PushBackRect (SDF::Obj dict, const char *key, const Rect &rect)
static Rect | RectFromArray (SDF::Obj nums)
static void | InsertRectCollection (SDF::Obj dict, const char *key, const RectCollection &rects, int index)
static Rect | RectFromArray (void *)
static double | ColorPtToNumber (const ColorPt &cp)
static ColorPt | ColorPtFromNumber (double dnum)

## Detailed Description

Definition at line 9 of file TaggingOptions.h.

## Constructor & Destructor Documentation

## ◆ TaggingOptions()

pdftron::PDF::TaggingOptions::TaggingOptions | ( |  | ) |

## ◆ ~TaggingOptions()

pdftron::PDF::TaggingOptions::~TaggingOptions | ( |  | ) |

## Member Function Documentation

## ◆ GetDescription()

UString pdftron::PDF::TaggingOptions::GetDescription | ( |  | ) |

Gets the value Description from the options object. Alternate description required by some standards. Default is empty, which will automatically attempt to fill it using contextual information (such as TU for Widgets), but explicitly setting this is recommended for better semantics.

Returns
  The current value for Description.

## ◆ GetInsertIndex()

UInt32 pdftron::PDF::TaggingOptions::GetInsertIndex | ( |  | ) |

Gets the value InsertIndex from the options object. The index, in the parent SElement's kids array, at which to insert the new tag. The new element will be inserted before the element at the insert index, where the first element is at index 0. If insert index >= number of elements, it will be inserted at the end. Default inserts at the end.

Returns
  The current value for InsertIndex.

## ◆ SetDescription()

TaggingOptions & pdftron::PDF::TaggingOptions::SetDescription | ( | const UString & | value | ) |

Sets the value for Description in the options object. Alternate description required by some standards. Default is empty, which will automatically attempt to fill it using contextual information (such as TU for Widgets), but explicitly setting this is recommended for better semantics.

Parameters

  value | The new value for Description.

Returns
  This object, for call chaining.

## ◆ SetInsertIndex()

TaggingOptions & pdftron::PDF::TaggingOptions::SetInsertIndex | ( | UInt32 | value | ) |

Sets the value for InsertIndex in the options object. The index, in the parent SElement's kids array, at which to insert the new tag. The new element will be inserted before the element at the insert index, where the first element is at index 0. If insert index >= number of elements, it will be inserted at the end. Default inserts at the end.

Parameters

  value | The new value for InsertIndex.

Returns
  This object, for call chaining.

The documentation for this class was generated from the following file:

- PDF/TaggingOptions.h